<?php


$xbox->add_field(array(
    'type' => 'title',
    'desc' => esc_html__( "Styles for a member's social icons displayed independently on a page using the plugin shortcodes", 'teamgrid' )
));

$xbox->add_field(array(
    'id' => 'social-icons-title',
    'name' => esc_html__( 'Title', 'teamgrid' ),
    'desc' => sprintf( esc_html__( 'Enter a title and the html tag of your choice. E.g: %s', 'teamgrid' ), '&lt;h4&gt;Social links:&lt;/h4&gt;'),
    'type' => 'text',
    'default' => '',
    'grid' => '3-of-6',
));

$xbox->add_field(array(
    'id' => 'social-icons-icon-size',
    'name' => esc_html__( 'Icon size', 'teamgrid' ),
    'type' => 'number',
    'default' => 40,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 10,
    ),
));

$xbox->add_field(array(
    'id' => 'social-icons-color',
    'name' => esc_html__( 'Color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(51, 51, 51, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'social-icons-color-hover',
    'name' => esc_html__( 'Color on hover', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'social-icons-border-radius',
    'name' => esc_html__( 'Border radius', 'teamgrid' ),
    'type' => 'number',
    'default' => 50,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 0,
    ),
));
