<?php

$xbox->add_field(array(
    'type' => 'title',
    'name' => 'Custom CSS / Custom JS',
));

$xbox->add_field(array(
	'id' => 'custom-css',
	'name' => esc_html__( 'Custom CSS', 'teamgrid' ),
	'type' => 'code_editor',
	'default' => '/* Change [id] by the team id */
.tgr-team-[id] {
}
',
	'desc' => '',
	'options' => array(
		'language' => 'css',
		'theme' => 'tomorrow_night',
		'height' => '260px',
	),
));

$xbox->add_field(array(
	'id' => 'custom-javascript',
	'name' => esc_html__( 'Custom JS', 'teamgrid' ),
	'type' => 'code_editor',
	'default' => '(function($){
	jQuery(document).ready(function($){

	});
})(jQuery);
',
	'desc' => '',
	'options' => array(
		'language' => 'javascript',
		'theme' => 'tomorrow_night',
		'height' => '260px',
	),
    'sanitize_callback' => false,
));