<?php

$xbox->add_field(array(
    'type' => 'title',
    'desc' => esc_html__( "You don't need to re-upload the images after changing the sizes as long as your images are larger than the sizes configured here. We generate the new images automatically.", 'teamgrid' )
));

$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Image resizing 1', 'teamgrid' ),
    'desc_name' => esc_html__( "Use these settings for square images", 'teamgrid' )
));
$xbox->add_field(array(
    'id' => 'img-resizing-1-name',
    'name' => esc_html__( 'Image size name', 'teamgrid' ),
    'type' => 'text',
    'default' => $defaults['img-resizing-1-name'],
    'attributes' => array(
        'style' => 'width: 260px;',
        'readonly' => 'readonly',
    )
));
$xbox->add_field( array(
    'id' => 'img-resizing-1-width',
    'name' => esc_html__( 'Width', 'teamgrid' ),
    'type' => 'number',
    'default' => $defaults['img-resizing-1-width'],
    'attributes' => array(
        'min' => 100,
    ),
    'options' => array(
        'show_spinner' => true,
    ),
) );
$xbox->add_field( array(
    'id' => 'img-resizing-1-height',
    'name' => esc_html__( 'Height', 'teamgrid' ),
    'type' => 'number',
    'default' => $defaults['img-resizing-1-height'],
    'attributes' => array(
        'min' => 100,
    ),
    'options' => array(
        'show_spinner' => true,
    ),
) );
$xbox->close_mixed_field();


$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Image resizing 2', 'teamgrid' ),
    'desc_name' => esc_html__( "Use this setting for horizontal rectangular images", 'teamgrid' )
));
$xbox->add_field(array(
    'id' => 'img-resizing-2-name',
    'name' => esc_html__( 'Image size name', 'teamgrid' ),
    'type' => 'text',
    'default' => $defaults['img-resizing-2-name'],
    'attributes' => array(
        'style' => 'width: 260px;',
        'readonly' => 'readonly',
    )
));
$xbox->add_field( array(
    'id' => 'img-resizing-2-width',
    'name' => esc_html__( 'Width', 'teamgrid' ),
    'type' => 'number',
    'default' => $defaults['img-resizing-2-width'],
    'attributes' => array(
        'min' => 100,
    ),
    'options' => array(
        'show_spinner' => true,
    ),
) );
$xbox->add_field( array(
    'id' => 'img-resizing-2-height',
    'name' => esc_html__( 'Height', 'teamgrid' ),
    'type' => 'number',
    'default' => $defaults['img-resizing-2-height'],
    'attributes' => array(
        'min' => 100,
    ),
    'options' => array(
        'show_spinner' => true,
    ),
) );
$xbox->close_mixed_field();


$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Image resizing 3', 'teamgrid' ),
    'desc_name' => esc_html__( "Use this setting for vertical rectangular images", 'teamgrid' )
));

$xbox->add_field(array(
    'id' => 'img-resizing-3-name',
    'name' => esc_html__( 'Image size name', 'teamgrid' ),
    'type' => 'text',
    'default' => $defaults['img-resizing-3-name'],
    'attributes' => array(
        'style' => 'width: 260px;',
        'readonly' => 'readonly',
    )
));
$xbox->add_field( array(
    'id' => 'img-resizing-3-width',
    'name' => esc_html__( 'Width', 'teamgrid' ),
    'type' => 'number',
    'default' => $defaults['img-resizing-3-width'],
    'attributes' => array(
        'min' => 100,
    ),
    'options' => array(
        'show_spinner' => true,
    ),
) );
$xbox->add_field( array(
    'id' => 'img-resizing-3-height',
    'name' => esc_html__( 'Height', 'teamgrid' ),
    'type' => 'number',
    'default' => $defaults['img-resizing-3-height'],
    'attributes' => array(
        'min' => 100,
    ),
    'options' => array(
        'show_spinner' => true,
    ),
) );
$xbox->close_mixed_field();