<?php

$xbox->add_field(array(
    'type' => 'title',
    'desc' => esc_html__( 'Styles for the social icons within the "Viewer" or within the Layout type "List"', 'teamgrid' )
));

$xbox->add_field(array(
    'id' => 'social-icons-color',
    'name' => esc_html__( 'Color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(51, 51, 51, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'social-icons-color-hover',
    'name' => esc_html__( 'Color on hover', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 1)',
    'options' => array(
        'format' => 'rgba',
        'opacity' => '1',
    ),
));
$xbox->add_field(array(
    'id' => 'social-icons-border-radius',
    'name' => esc_html__( 'Border radius', 'teamgrid' ),
    'type' => 'number',
    'default' => 50,
    'options' => array(
        'show_spinner' => true,
        'desc_tooltip' => true,
    ),
    'attributes' => array(
        'min' => 0,
    ),
));